# ppm_mptr Class Reference

`#include <mptr_ppm.h>`

Inheritance diagram for ppm_mptr:

List of all members.

## Public Member Functions

| ppm_mptr (const char *filename)
| ~ppm_mptr ()
virtual bool | get_frame (synfig::Surface &surface, synfig::Time time, synfig::ProgressCallback *callback)
| Gets a frame and puts it into surface.

## Constructor & Destructor Documentation

ppm_mptr::ppm_mptr | ( | const char * | filename | ) |

ppm_mptr::~ppm_mptr | ( |  | ) |

## Member Function Documentation

bool ppm_mptr::get_frame | ( | synfig::Surface & | surface,
|  | synfig::Time | time,
|  | synfig::ProgressCallback * | callback |
| ) |  |  | `[virtual]`

Gets a frame and puts it into surface.

Parameters:

  | surface | Reference to surface to put frame into
  | time | For animated importers, determines which frame to get. For static importers, this parameter is unused.
  | callback | Pointer to callback class for progress, errors, etc.

Returns:
  `true` on success, `false` on error

See also:
  ProgressCallback, Surface

Implements synfig::Importer.

References _, synfig::Gamma::b_U8_to_F32(), synfig::ProgressCallback::error(), synfig::Gamma::g_U8_to_F32(), synfig::Importer::gamma(), and synfig::Gamma::r_U8_to_F32().

The documentation for this class was generated from the following files:

- mptr_ppm.h
- mptr_ppm.cpp